/***************************************************************************
 * CLASS:		ABIBInspector
 * PROGRAMMER:	Todd Thomas
 * DATE:		Dec 30, 1993
 *
 *	A new inspector was in order since the old Button inspector dealt with
 * attributes that mine did not, and some of the choices had adverse 
 * effects on the way that ArrowButton functioned. I should have put the
 * three first fields in a form, but I had it that way and did something
 * to make it crash (the entire computer froze), so I seperated them all.
 *
 ***************************************************************************/
#import <appkit/appkit.h>

#import <apps/InterfaceBuilder.h>

@interface ABIBInspector:IBInspector
{
    id	optionMatrix;				// bordered, transparent, etc.	
    id	tagField;					// the tag
    id	titleField;					// title field
	id  altTitleField;				// altTitle field
	id  soundField;					// name of the sound
	id  alignButton;
}

- init;
- revert: sender;
- optionsChanged: sender;
- tagChanged: sender;
- titleChanged: sender;
- altTitleChanged: sender;
- soundChanged: sender;
- alignmentChanged: sender;
- (BOOL)wantsButtons;

@end
